import org.apache.tools.ant.*;
import java.util.*;

public class BuildHeader extends Task
{
  private String author = "";
  private String description = "";
  private String buildNo;

  public BuildHeader()
  {
    System.out.println("Konstrukturaufruf von BuildHeader");
  }

  public void init()
  {
    System.out.println("Initialisierung von BuildHeader");
  }

  public void execute() throws BuildException
  {
    Calendar calendar = new GregorianCalendar();

    System.out.println("===== ANT BUILD-HEADER =====");
    System.out.println("Projekt: " + getProject().getName());
    System.out.println("Target: " + getOwningTarget().getName());
    System.out.println("Task: " + getTaskName());
    System.out.println("Author: " + author);
    System.out.println("BuildNo: " + buildNo);
    System.out.println("Date: " + calendar.get(Calendar.DATE) + "." + calendar.get(Calendar.MONTH) + "." + calendar.get(Calendar.YEAR));
    System.out.println("Description: " + description);
    System.out.println("============================");
  }

  public void setAuthor(String name)
  {
    author = name;
  }

  public void setDescription(String value)
  {
    description = value;
  }

  public void setBuildno(int value)
  {
    buildNo = Integer.toString(value);
  }
}

