<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <head>
        <title>Abteilungsliste</title>
      </head>
      <body>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="/">
    <h2 align="center">Abteilungsliste</h2>
    <xsl:for-each select="//Abteilung" >
      <b>
        <p>Abteilung: <xsl:value-of select="@name" />
           <xsl:text> /   </xsl:text>
           Abteilungsnummer: <xsl:value-of select="@abtnr" /><br /><br />
           Mitarbeiter: <br />
           <ul>
             <xsl:for-each select="Mitarbeiter" >
               <xsl:value-of select="Vorname" />
               <xsl:text> </xsl:text>
               <xsl:value-of select="Nachname" />
               <xsl:text>; </xsl:text>
               Tel.: <xsl:value-of select="Telefon" />
               <xsl:text>; </xsl:text>
               Zimmer-Nr.: <xsl:value-of select="Zimmer" /> <br />
               interne Daten:<br />
               <ul>
                 Anschrift: <xsl:value-of select="Daten/Anschrift" /> <br />
                 Gehalt: <xsl:value-of select="Daten/Gehalt" /> <br />
                 eingestellt am: <xsl:value-of select="Daten/EingestelltAm" /> <br />
                 <xsl:if test="Daten/IstChef='true'">
                     ---> Chef der Abteilung
                 </xsl:if>
               </ul>
               <br />
            </xsl:for-each>
          </ul>
          Abteilungs-Projekte: <br />
          <ul>
            <xsl:for-each select="Projekte" >
              Projekt: <xsl:value-of select="Projekt" /> <br />
              Datum Beginn: <xsl:value-of select="Datum" /> <br />
              Dauer (Tage): <xsl:value-of select="Dauer" /><br /><br />
            </xsl:for-each>
          </ul>
        </p>
      </b>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
