package com.herdt.javxml.kap07;

import java.io.*;
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.sax.*;
import javax.xml.transform.stream.*;

public class GetFeatures
{
  public GetFeatures()
  {
    try
    {
      TransformerFactory tf = TransformerFactory.newInstance();

      if(tf.getFeature(DOMSource.FEATURE)) System.out.println("DOMSource - Feature wird untersttzt.");
      if(tf.getFeature(DOMResult.FEATURE)) System.out.println("DOMResult - Feature wird untersttzt.");
      if(tf.getFeature(SAXSource.FEATURE)) System.out.println("SAXSource - Feature wird untersttzt.");
      if(tf.getFeature(SAXResult.FEATURE)) System.out.println("SAXResult - Feature wird untersttzt.");
      if(tf.getFeature(StreamSource.FEATURE)) System.out.println("StreamSource - Feature wird untersttzt.");
      if(tf.getFeature(StreamResult.FEATURE)) System.out.println("StreamResult - Feature wird untersttzt.");
    }
    catch(Exception e)
    {
      System.out.println(e.getMessage());
    }
  }

  public static void main(String args[])
  {
    new GetFeatures();
  }
}
